Closed Bug 562850 Opened 10 years ago Closed 9 years ago

Timeout after browser_auth.js or browser_auth2.js or browser_auth3.js | must wait for focus

Categories

(Toolkit :: Add-ons Manager, defect, P1)

x86
Linux
defect

Tracking

()

RESOLVED WORKSFORME

People

(Reporter: cpearce, Unassigned)

References

Details

(Keywords: intermittent-failure)

Linux mozilla-central opt test mochitest-other on 2010/04/29 20:24:28
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1272597868.1272598894.9691.gz

SSLTUNNEL(0x869d598): ssock(1)=0x8677210 out_flags=1 :reading socket gracefully closed
SSLTUNNEL(0x869d598): exiting root function for csock=0x864e488, ssock=0x8677210
TEST-INFO | chrome://mochikit/content/browser/toolkit/mozapps/extensions/test/browser/browser_updatessl.js | Console message: [JavaScript Error: "[Exception... "'cert issuer is not built-in' when calling method: [nsIChannelEventSink::onChannelRedirect]"  nsresult: "0x8057001e (NS_ERROR_XPC_JS_THREW_STRING)"  location: "<unknown>"  data: no]"]
TEST-INFO | chrome://mochikit/content/browser/toolkit/mozapps/extensions/test/browser/browser_updatessl.js | Console message: [JavaScript Error: "no element found" {file: "https://expired.example.com/browser/toolkit/mozapps/extensions/test/browser/redirect.sjs?https://expired.example.com/browser/toolkit/mozapps/extensions/test/browser/browser_updatessl.rdf" line: 1}]
TEST-INFO | chrome://mochikit/content/browser/toolkit/mozapps/extensions/test/browser/browser_updatessl.js | Console message: [JavaScript Warning: "WARN addons.updates: Request failed: 301"]
TEST-INFO | checking window state
Running chrome://mochikit/content/browser/toolkit/mozapps/extensions/test/xpinstall/browser_auth.js...
checkTestPending 1
TEST-PASS | chrome://mochikit/content/browser/toolkit/mozapps/extensions/test/xpinstall/browser_auth.js | 1 Add-on should have been successfully installed
TEST-PASS | chrome://mochikit/content/browser/toolkit/mozapps/extensions/test/xpinstall/browser_auth.js | Should be no active installs at the end of the test
TEST-INFO | checking window state
Running chrome://mochikit/content/browser/toolkit/mozapps/extensions/test/xpinstall/browser_auth2.js...
TEST-INFO | chrome://mochikit/content/browser/toolkit/mozapps/extensions/test/xpinstall/browser_auth2.js | Console message: [JavaScript Warning: "WARN addons.xpi: Download failed: 403 Forbidden
"]
TEST-PASS | chrome://mochikit/content/browser/toolkit/mozapps/extensions/test/xpinstall/browser_auth2.js | Install should have failed
checkTestPending 1
TEST-PASS | chrome://mochikit/content/browser/toolkit/mozapps/extensions/test/xpinstall/browser_auth2.js | No add-ons should have been installed
TEST-PASS | chrome://mochikit/content/browser/toolkit/mozapps/extensions/test/xpinstall/browser_auth2.js | Should be no active installs at the end of the test
TEST-INFO | checking window state
TEST-INFO | (browser-test.js) | Waiting for window activation...
TEST-UNEXPECTED-FAIL | automation.py | application timed out after 330 seconds with no output
INFO | automation.py | Application ran for: 0:08:56.816811
INFO | automation.py | Reading PID log: /tmp/tmpMP4q_Gpidlog
==> process 29949 launched child process 29984
INFO | automation.py | Checking for orphan process with PID: 29984
Blocks: 438871
Whiteboard: [orange]
Component: Installer: XPInstall Engine → Add-ons Manager
Product: Core → Toolkit
QA Contact: xpi-engine → add-ons.manager
Priority: -- → P1
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1273690574.1273692341.23674.gz
Rev3 Fedora 12 mozilla-central opt test mochitest-other on 2010/05/12 11:56:14
s: talos-r3-fed-031

TEST-PASS | chrome://mochikit/content/browser/toolkit/mozapps/extensions/test/xpinstall/browser_auth3.js | Should be no active installs at the end of the test
TEST-INFO | checking window state
TEST-INFO | (browser-test.js) | Waiting for window activation...
TEST-UNEXPECTED-FAIL | automation.py | application timed out after 330 seconds with no output
Summary: Timeout in browser-test.js after browser_auth2.js | Waiting for window activation → Timeout in browser-test.js after browser_auth2.js or browser_auth3.js | Waiting for window activation
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1273694858.1273696269.12425.gz
Rev3 Fedora 12 mozilla-central opt test mochitest-other on 2010/05/12 13:07:38  

browser_auth3.js


There are an awful lot of these "Waiting for window activation..." random oranges (on various bugs) happening today.
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1273733767.1273735137.29809.gz
Rev3 Fedora 12 mozilla-central opt test mochitest-other on 2010/05/12 23:56:07
s: talos-r3-fed-010
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1273865513.1273866530.14353.gz
Rev3 Fedora 12 mozilla-central opt test mochitest-other on 2010/05/14 12:31:53
s: talos-r3-fed-035
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1273928965.1273930401.26852.gz
Rev3 Fedora 12 mozilla-central opt test mochitest-other on 2010/05/15 06:09:25
s: talos-r3-fed-038
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1274136296.1274138630.16584.gz
Rev3 Fedora 12 mozilla-central opt test mochitest-other on 2010/05/17 15:44:56
s: talos-r3-fed-020
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1274157621.1274160279.1070.gz
Rev3 Fedora 12 mozilla-central debug test mochitest-other

TEST-PASS | chrome://mochikit/content/browser/toolkit/mozapps/extensions/test/xpinstall/browser_auth3.js | Should be no active installs at the end of the test
TEST-INFO | checking window state
TEST-INFO | (browser-test.js) | Waiting for window activation...
...
TEST-UNEXPECTED-FAIL | automation.py | application timed out after 330 seconds with no output
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1274191498.1274193548.12896.gz
Rev3 Fedora 12x64 mozilla-central opt test mochitest-other on 2010/05/18 07:04:58
s: talos-r3-fed64-038
This should be fixed my patch in bug 543278.

Please reopen if you see this on trunk from this point on.
Assignee: nobody → ehsan
Status: NEW → RESOLVED
Closed: 10 years ago
Depends on: 543278
Resolution: --- → FIXED
Whiteboard: [orange] → [orange][fixed by bug 543278]
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1274241654.1274244175.9133.gz
Rev3 Fedora 12 mozilla-central opt test mochitest-other on 2010/05/18 21:00:54
s: talos-r3-fed-029

TEST-INFO | checking window state
TEST-PASS | chrome://mochikit/content/browser/toolkit/mozapps/extensions/test/xpinstall/browser_auth3.js | before wait for focus -- loaded: complete active window: <no window active> focused window: <no window focused> desired window: ([object ChromeWindow]) chrome://browser/content/browser.xul child window: ([object XPCNativeWrapper [object Window]]) about:blank docshell visible: true
TEST-PASS | chrome://mochikit/content/browser/toolkit/mozapps/extensions/test/xpinstall/browser_auth3.js | must wait for focus
TEST-UNEXPECTED-FAIL | automation.py | application timed out after 330 seconds with no output
Status: RESOLVED → REOPENED
Resolution: FIXED → ---
Whiteboard: [orange][fixed by bug 543278] → [orange]
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1274286249.1274287910.3166.gz
Rev3 Fedora 12x64 mozilla-central opt test mochitest-other on 2010/05/19 09:24:09
s: talos-r3-fed64-034
Summary: Timeout in browser-test.js after browser_auth2.js or browser_auth3.js | Waiting for window activation → Timeout after browser_auth2.js or browser_auth3.js | must wait for focus
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1274301299.1274302291.32396.gz
Rev3 Fedora 12 mozilla-central opt test mochitest-other on 2010/05/19 13:34:59
s: talos-r3-fed-035
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1274371108.1274372803.354.gz
Rev3 Fedora 12x64 mozilla-central opt test mochitest-other on 2010/05/20 08:58:28
s: talos-r3-fed64-043
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1274462439.1274463862.20505.gz
Rev3 Fedora 12 mozilla-central opt test mochitest-other on 2010/05/21 10:20:39
s: talos-r3-fed-037
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1274466208.1274467718.5866.gz
Rev3 Fedora 12 mozilla-central opt test mochitest-other on 2010/05/21 11:23:28
s: talos-r3-fed-025
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1274470740.1274472808.28578.gz
Rev3 Fedora 12 mozilla-central opt test mochitest-other on 2010/05/21 12:39:00
s: talos-r3-fed-019
I'm out of ideas here.  We probably need someone who knows about the internals of the focus code and how it works on Linux to help here.
Assignee: ehsan → nobody
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1274610228.1274611220.11471.gz
Rev3 Fedora 12 mozilla-central opt test mochitest-other on 2010/05/23 03:23:48
s: talos-r3-fed-008
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1274710075.1274711162.15975.gz
Rev3 Fedora 12x64 mozilla-central opt test mochitest-other on 2010/05/24 07:07:55
s: talos-r3-fed64-008
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1274714833.1274716420.6764.gz
Rev3 Fedora 12 mozilla-central opt test mochitest-other on 2010/05/24 08:27:13
s: talos-r3-fed-018
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1274715974.1274717836.14517.gz
Rev3 Fedora 12 mozilla-central opt test mochitest-other on 2010/05/24 08:46:14

(two in a row, with comment 26)
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1274717804.1274719307.22305.gz
Rev3 Fedora 12x64 mozilla-central opt test mochitest-other on 2010/05/24 09:16:44
s: talos-r3-fed64-048
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1274783601.1274784915.15705.gz
Rev3 Fedora 12 mozilla-central opt test mochitest-other on 2010/05/25 03:33:21
s: talos-r3-fed-023
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1274826783.1274827862.16522.gz
Rev3 Fedora 12 mozilla-central opt test mochitest-other on 2010/05/25 15:33:03
s: talos-r3-fed-045
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1274827744.1274828757.20097.gz
Rev3 Fedora 12 mozilla-central opt test mochitest-other on 2010/05/25 15:49:04
s: talos-r3-fed-041
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1274834928.1274837054.20685.gz
Rev3 Fedora 12x64 mozilla-central opt test mochitest-other on 2010/05/25 17:48:48
s: talos-r3-fed64-038
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1274899629.1274900571.3436.gz
Rev3 Fedora 12x64 mozilla-central opt test mochitest-other on 2010/05/26 11:47:09
s: talos-r3-fed64-032
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1274912492.1274914874.1682.gz
Rev3 Fedora 12x64 mozilla-central opt test mochitest-other on 2010/05/26 15:21:32
s: talos-r3-fed64-030
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1274923944.1274925666.16513.gz
Rev3 Fedora 12x64 mozilla-central opt test mochitest-other on 2010/05/26 18:32:24
s: talos-r3-fed64-029
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1274926851.1274929200.30498.gz
Linux mozilla-central debug test mochitest-other on 2010/05/26 19:20:51
s: moz2-linux-slave10
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1274965830.1274968738.3869.gz
Rev3 Fedora 12x64 mozilla-central opt test mochitest-other on 2010/05/27 06:10:30
s: talos-r3-fed64-017
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1275007452.1275008952.16343.gz
Rev3 Fedora 12 mozilla-central opt test mochitest-other on 2010/05/27 17:44:12
s: talos-r3-fed-005
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1275020494.1275022314.7571.gz
Rev3 Fedora 12x64 mozilla-central opt test mochitest-other on 2010/05/27 21:21:34
s: talos-r3-fed64-028
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1275064865.1275066003.32745.gz
Rev3 Fedora 12 mozilla-central opt test mochitest-other on 2010/05/28 09:41:05
s: talos-r3-fed-029
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1275083204.1275085745.17877.gz
Rev3 Fedora 12x64 mozilla-central opt test mochitest-other on 2010/05/28 14:46:44
s: talos-r3-fed64-035
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1275094855.1275096703.1308.gz
Rev3 Fedora 12 mozilla-central opt test mochitest-other on 2010/05/28 18:00:55
s: talos-r3-fed-010
Summary: Timeout after browser_auth2.js or browser_auth3.js | must wait for focus → Timeout after browser_auth.js or browser_auth2.js or browser_auth3.js | must wait for focus
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1275106955.1275108575.15531.gz
Rev3 Fedora 12 mozilla-central opt test mochitest-other on 2010/05/28 21:22:35
s: talos-r3-fed-025
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1275190672.1275193328.5066.gz
Rev3 Fedora 12 mozilla-central opt test mochitest-other on 2010/05/29 20:37:52
s: talos-r3-fed-033
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1275195592.1275196676.18104.gz
Linux mozilla-central opt test mochitest-other on 2010/05/29 21:59:52
s: moz2-linux-slave16
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1275196148.1275197992.22944.gz
Rev3 Fedora 12x64 mozilla-central opt test mochitest-other on 2010/05/29 22:09:08
s: talos-r3-fed64-019
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1275259222.1275261391.15389.gz
Rev3 Fedora 12x64 mozilla-central opt test mochitest-other on 2010/05/30 15:40:22
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1275262729.1275265373.30755.gz
Rev3 Fedora 12x64 mozilla-central opt test mochitest-other on 2010/05/30 16:38:49
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1275266784.1275269069.12342.gz
Rev3 Fedora 12x64 mozilla-central opt test mochitest-other on 2010/05/30 17:46:24
s: talos-r3-fed64-047
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1275354027.1275354959.30909.gz
Rev3 Fedora 12 mozilla-central opt test mochitest-other on 2010/05/31 18:00:27
s: talos-r3-fed-041
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1275358963.1275361469.25602.gz
Rev3 Fedora 12x64 mozilla-central opt test mochitest-other on 2010/05/31 19:22:43
s: talos-r3-fed64-008
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1275407291.1275408414.18164.gz
Rev3 Fedora 12 mozilla-central opt test mochitest-other on 2010/06/01 08:48:11
s: talos-r3-fed-029
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1275426993.1275428294.3750.gz
Rev3 Fedora 12x64 mozilla-central opt test mochitest-other on 2010/06/01 14:16:33
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1275435868.1275436877.11012.gz
Rev3 Fedora 12 mozilla-central opt test mochitest-other on 2010/06/01 16:44:28
s: talos-r3-fed-009
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1275502134.1275503631.29760.gz
Rev3 Fedora 12 mozilla-central opt test mochitest-other on 2010/06/02 11:08:54
s: talos-r3-fed-014
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1275511644.1275512881.6262.gz
Rev3 Fedora 12 mozilla-central opt test mochitest-other on 2010/06/02 13:47:24
s: talos-r3-fed-031
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1275621560.1275622893.11455.gz
Rev3 Fedora 12x64 mozilla-central opt test mochitest-other on 2010/06/03 20:19:20
s: talos-r3-fed64-030
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1275658547.1275659677.29727.gz
Rev3 Fedora 12 mozilla-central opt test mochitest-other on 2010/06/04 06:35:47
s: talos-r3-fed-046
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1275656654.1275657854.19694.gz
Rev3 Fedora 12x64 mozilla-central opt test mochitest-other on 2010/06/04 06:04:14
s: talos-r3-fed64-025
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1275707322.1275708392.15293.gz
Rev3 Fedora 12x64 mozilla-central opt test mochitest-other on 2010/06/04 20:08:42
s: talos-r3-fed64-003
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1275762205.1275763332.395.gz
Rev3 Fedora 12x64 mozilla-central opt test mochitest-other on 2010/06/05 11:23:25
s: talos-r3-fed64-014
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1276007937.1276009076.20504.gz
Rev3 Fedora 12 mozilla-central opt test mochitest-other on 2010/06/08 07:38:57
s: talos-r3-fed-037
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1276012559.1276013990.14372.gz
Rev3 Fedora 12 mozilla-central opt test mochitest-other on 2010/06/08 08:55:59
s: talos-r3-fed-013
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1276043434.1276045386.4391.gz
Rev3 Fedora 12 mozilla-central opt test mochitest-other on 2010/06/08 17:30:34
s: talos-r3-fed-019
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1276097528.1276098755.22540.gz
Rev3 Fedora 12 mozilla-central opt test mochitest-other on 2010/06/09 08:32:08
s: talos-r3-fed-031
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1276127589.1276129986.10368.gz
Rev3 Fedora 12x64 mozilla-central opt test mochitest-other on 2010/06/09 16:53:09
s: talos-r3-fed64-050
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1276146116.1276148818.30927.gz
Rev3 Fedora 12 mozilla-central opt test mochitest-other on 2010/06/09 22:01:56
s: talos-r3-fed-023
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1276210696.1276211771.32464.gz
Rev3 Fedora 12 mozilla-central opt test mochitest-other on 2010/06/10 15:58:16
s: talos-r3-fed-033
Seems to have gone away so there is no reason to keep this open.
Status: REOPENED → RESOLVED
Closed: 10 years ago9 years ago
Resolution: --- → WORKSFORME
Whiteboard: [orange]
You need to log in before you can comment on or make changes to this bug.